%define	name	netscape-communicator
%define ver	4.75
%define myver	475
%define rel	1
%define serial	2000082101
%define bldver	%{ver}.20000821
%define prefix	/usr

Summary: The Netscape Communicator Web browser.
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: X11/Applications
#Copyright: Netscape Client Software EULA/Commercial (distributable)
Copyright: Mozilla/Commercial (distributable)
URL: http://www.netscape.com/

Source0: ftp://ftp.netscape.com.au/pub/communicator/english/%{ver}/unix/supported/linux22/complete_install/communicator-v%{myver}-us.x86-unknown-linux2.2.tar.gz
Source1: netscape-communicator.wmconfig

# Resourcess
Source10: netscape-%{ver}-ja_JP.eucJP.ad

# Help menu items
Source20: netscape-ja.cfg

Serial: %{serial}
Prefix: %{prefix}
Provides: wwwclient
Obsoletes: netscape
AutoReqProv: no
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: netscape-common, libstdc++-compat, alias-japanese-fonts
ExclusiveArch: i386 i486 i586 i686 athlon

#NoSource: 0


%description
Netscape Communicator is a full-featured web browser, mail reader,
news reader, and HTML editor. This version contains strong (128bit)
encryption.

%changelog
* Mon Aug 21 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 4.75.

* Tue Jul 25 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 4.74.
- added netscape-communicator.wmconfig

* Tue May 09 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Describe package dependences. (libstdc++-compat, alias-japanese-fonts)

* Fri Mar 17 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added Japanese bookmark

* Tue Mar 14 2000 Go Taniguchi <go@turbolinux.co.jp>
- first release for TurboLinuxJ

%prep
%setup -q -n communicator-v%{myver}.x86-unknown-linux2.2

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/communicator/{plugins,java/classes,ja}

for I in *.nif; do
	tar -xzf $I -C $RPM_BUILD_ROOT/usr/lib/netscape/communicator
done
cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape/communicator
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/communicator/java/classes
echo 'Communicator,%{bldver},/usr/lib/netscape/communicator' > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/communicator/registry /tmp/infile
rm -f /tmp/infile

# put this stuff into the doc directory
mv $RPM_BUILD_ROOT/usr/lib/netscape/communicator/{LICENSE,README} .
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf netscape $RPM_BUILD_ROOT/usr/bin/netscape-communicator

# japanese resource
install -m644 %{SOURCE10} $RPM_BUILD_ROOT/usr/lib/netscape/communicator/ja/Netscape.ad

# Japanese Help
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults
install -m644 %{SOURCE20} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/netscape.cfg

# wmconfig
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/netscape-communicator


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%docdir /usr/lib/netscape/communicator/nethelp
%doc README LICENSE 
/usr/lib/netscape/communicator
/usr/bin/netscape-communicator
/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/netscape.cfg
%config /etc/X11/wmconfig/netscape-communicator
